For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
            • GETList Orders
            • POSTCreate Order
            • GETGet Order
            • PUTUpdate Order
            • PUTReassign Orders to Different Company
            • GETList Order Products
            • PUTAssign Customer Orders to Company
            • GETList Order Extra Field Configs
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementOrders

Create Order

POST
https://api-b2b.bigcommerce.com/api/v3/io/orders
POST
/api/v3/io/orders
$curl -X POST https://api-b2b.bigcommerce.com/api/v3/io/orders \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "bcOrderId": 123,
> "customerId": 321
>}'
1{
2 "code": 200,
3 "data": {
4 "id": 12345,
5 "bcOrderId": 123,
6 "totalIncTax": 2210.47,
7 "poNumber": "04152025-0002",
8 "status": "Awaiting Payment",
9 "customStatus": "Invoice Sent",
10 "cartId": "095a15a6-8a27-4c20-b357-36b82e9d5929",
11 "items": 50,
12 "usdIncTax": 2210.47,
13 "companyId": 12345,
14 "currencyCode": "USD",
15 "money": [
16 {
17 "currencyLocation": "left",
18 "currencyToken": "$",
19 "decimalToken": ".",
20 "decimalPlaces": 2,
21 "thousandsToken": ","
22 }
23 ],
24 "statusCode": 7,
25 "isArchived": false,
26 "channelId": 1,
27 "channelName": "B2B Store",
28 "extraInt1": 12345,
29 "extraInt2": 12345,
30 "extraInt3": 12345,
31 "extraInt4": 12345,
32 "extraInt5": 12345,
33 "extraStr1": "Great Buys Incorporated",
34 "extraStr2": "Great Buys Incorporated",
35 "extraStr3": "Great Buys Incorporated",
36 "extraStr4": "Great Buys Incorporated",
37 "extraStr5": "Great Buys Incorporated",
38 "extraText": "Great Buys Incorporated",
39 "extraInfo": [
40 {
41 "billingAddressId": 12345,
42 "shippingAddressId": 12345
43 }
44 ],
45 "extraFields": [
46 {
47 "fieldName": "Fintech ID",
48 "fieldValue": "1234567890"
49 }
50 ],
51 "createdAt": 1744735719,
52 "updatedAt": 1744735734
53 },
54 "meta": {
55 "pagination": {
56 "totalCount": 100,
57 "limit": 10,
58 "offset": 0
59 },
60 "message": "SUCCESS"
61 }
62}
Generates an order record in B2B Edition after a Company user places an order. This occurs automatically; however, you can populate extra information on a B2B order by using a [webhook](/developer/docs/integrations/webhooks) that first listens for BigCommerce order creation and then calls the Create an Order endpoint. The request must be made within 10 seconds of an order's creation for it to be successful. This endpoint **does not** create a new order in your store. Use the [Orders V2 API](/developer/api-reference/rest/admin/management/orders) to add new orders via the API.
Was this page helpful?
Previous

List Orders

Next

Get Order

Built with

Generates an order record in B2B Edition after a Company user places an order. This occurs automatically; however, you can populate extra information on a B2B order by using a webhook that first listens for BigCommerce order creation and then calls the Create an Order endpoint. The request must be made within 10 seconds of an order’s creation for it to be successful.

This endpoint does not create a new order in your store. Use the Orders V2 API to add new orders via the API.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Request

This endpoint expects an object.
bcOrderIdintegerRequired
The BigCommerce order ID.
customerIdintegerRequired
The ID of a BigCommerce customer account with a corresponding Company user account.
poNumberstringOptional

The order’s Purchase Order (PO), if used.

extraFieldslist of anyOptional
Contains extra field information associated with the order.

Response

OK
codeanyDefaults to 200
dataobject

Errors

400
Bad Request Error